// <summary>ソースコード：クラス</summary>
// <author>CommonMP</author>

using System;
using System.Collections.Generic;
using System.Text;

using CommonMP.HYSSOP.Interface.HSData;

using CommonMP.HYSSOP.CoreImpl;
using CommonMP.HYSSOP.CoreImpl.HSData;
using CommonMP.HYSSOP.CoreImpl.HSTools;


using CommonMP.HYMCO.Interface;
using CommonMP.HYMCO.CoreImpl.Data;
using CommonMP.HYMCO.CoreImpl.Tool;
using CommonMP.HYMCO.CoreOption.McSTGSystemBase;

namespace CommonMP.HYMCO.AddInSysOptions.CordingSampleSys
{
    public class SampleMyDispData : HySDataRoot
    {
        /// <summary>計算開始シミュレーション時刻</summary>
        protected HySTime m_csCalStartTime = HySTime.DEFAULT_TIME.Clone();
        /// <summary>計算終了シミュレーション時刻</summary>
        protected HySTime m_csCalStopTime = HySTime.DEFAULT_TIME.Clone();


        // 各種セッター
        public void SetCalStartTime(HySTime csTime)
        { m_csCalStartTime.SetTime(csTime); }
        public void SetCalStopTime(HySTime csTime)
        { m_csCalStopTime.SetTime(csTime); }

        // 各種ゲッター
        public HySTime GetCalStartTime()
        { return m_csCalStartTime; }
        public HySTime GetCalStopTime()
        { return m_csCalStopTime; }
    }
}
